Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.sasl
Class SaslServerFactoryImpl

    java.lang.Object
      org.jivesoftware.openfire.sasl.SaslServerFactoryImpl

All Implemented Interfaces:
  SaslServerFactory

    public class SaslServerFactoryImpl

extends Object
implements SaslServerFactory

Server Factory for supported mechanisms.

Author:
  Jay Kline

Constructor Summary
`SaslServerFactoryImpl()`

Method Summary
`SaslServer` | `createSaslServer(String mechanism, String protocol, String serverName, Map<String,?> props, CallbackHandler cbh)` Creates a `SaslServer` implementing a supported mechanism using the parameters supplied.
`String[]` | `getMechanismNames(Map<String,?> props)` Returns an array of names of mechanisms that match the specified mechanism selection policies.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaslServerFactoryImpl

    public SaslServerFactoryImpl()

Method Detail

### createSaslServer

    public SaslServer createSaslServer(String mechanism,
                                       String protocol,
                                       String serverName,
                                       Map<String,?> props,
                                       CallbackHandler cbh)
                                throws SaslException

  Creates a `SaslServer` implementing a supported mechanism using the parameters supplied.

  Specified by:
    `createSaslServer` in interface `SaslServerFactory`
  Parameters:
    `mechanism` - The non-null IANA-registered named of a SASL mechanism.
    `protocol` - The non-null string name of the protocol for which the authentication is being performed (e.g., "ldap").
    `serverName` - The non-null fully qualified host name of the server to authenticate to.
    `props` - The possibly null set of properties used to select the SASL mechanism and to configure the authentication exchange of the selected mechanism.
    `cbh` - The possibly null callback handler to used by the SASL mechanisms to get further information from the application/library to complete the authentication.
  Returns:
    A possibly null SaslServer created using the parameters supplied. If null, this factory cannot produce a SaslServer using the parameters supplied.
  Throws:
    `SaslException` - If cannot create a SaslServer because of an error.

### getMechanismNames

    public String[] getMechanismNames(Map<String,?> props)

  Returns an array of names of mechanisms that match the specified mechanism selection policies.

  Specified by:
    `getMechanismNames` in interface `SaslServerFactory`
  Parameters:
    `props` - The possibly null set of properties used to specify the security policy of the SASL mechanisms.
  Returns:
    A non-null array containing a IANA-registered SASL mechanism names.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.